| OpenCV 4.3.0 Open Source Computer Vision

Public Member Functions | Static Public Member Functions | List of all members
cv::FarnebackOpticalFlow Class Referenceabstract
Video Analysis » Object Tracking

Class computing a dense optical flow using the Gunnar Farneback's algorithm. More...

`#include <opencv2/video/tracking.hpp>`

Inheritance diagram for cv::FarnebackOpticalFlow:

## Public Member Functions
virtual bool | getFastPyramids () const =0
virtual int | getFlags () const =0
virtual int | getNumIters () const =0
virtual int | getNumLevels () const =0
virtual int | getPolyN () const =0
virtual double | getPolySigma () const =0
virtual double | getPyrScale () const =0
virtual int | getWinSize () const =0
virtual void | setFastPyramids (bool fastPyramids)=0
virtual void | setFlags (int flags)=0
virtual void | setNumIters (int numIters)=0
virtual void | setNumLevels (int numLevels)=0
virtual void | setPolyN (int polyN)=0
virtual void | setPolySigma (double polySigma)=0
virtual void | setPyrScale (double pyrScale)=0
virtual void | setWinSize (int winSize)=0
Public Member Functions inherited from cv::DenseOpticalFlow
virtual void | calc (InputArray I0, InputArray I1, InputOutputArray flow)=0
| Calculates an optical flow. More...
virtual void | collectGarbage ()=0
| Releases all inner buffers. More...
Public Member Functions inherited from cv::Algorithm
| Algorithm ()
virtual | ~Algorithm ()
virtual void | clear ()
| Clears the algorithm state. More...
virtual bool | empty () const
| Returns true if the Algorithm is empty (e.g. in the very beginning or after unsuccessful read. More...
virtual String | getDefaultName () const
virtual void | read (const FileNode &fn)
| Reads algorithm parameters from a file storage. More...
virtual void | save (const String &filename) const
virtual void | write (FileStorage &fs) const
| Stores algorithm parameters in a file storage. More...
void | write (const Ptr< FileStorage > &fs, const String &name=String()) const
| simplified API for language bindings This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts. More...

## Static Public Member Functions
static Ptr< FarnebackOpticalFlow > | create (int numLevels=5, double pyrScale=0.5, bool fastPyramids=false, int winSize=13, int numIters=10, int polyN=5, double polySigma=1.1, int flags=0)
Static Public Member Functions inherited from cv::Algorithm
template<typename _Tp >
static Ptr< _Tp > | load (const String &filename, const String &objname=String())
| Loads algorithm from the file. More...
template<typename _Tp >
static Ptr< _Tp > | loadFromString (const String &strModel, const String &objname=String())
| Loads algorithm from a String. More...
template<typename _Tp >
static Ptr< _Tp > | read (const FileNode &fn)
| Reads algorithm from the file node. More...

## Additional Inherited Members
Protected Member Functions inherited from cv::Algorithm
void | writeFormat (FileStorage &fs) const

## Detailed Description

Class computing a dense optical flow using the Gunnar Farneback's algorithm.

## Member Function Documentation

## ◆ create()

static Ptr<FarnebackOpticalFlow> cv::FarnebackOpticalFlow::create | ( | int | numLevels = `5`,
|  | double | pyrScale = `0.5`,
|  | bool | fastPyramids = `false`,
|  | int | winSize = `13`,
|  | int | numIters = `10`,
|  | int | polyN = `5`,
|  | double | polySigma = `1.1`,
|  | int | flags = `0`
| ) |  |
| static

Python:
| retval | = | cv.FarnebackOpticalFlow_create( | [, numLevels[, pyrScale[, fastPyramids[, winSize[, numIters[, polyN[, polySigma[, flags]]]]]]]] | )

## ◆ getFastPyramids()

virtual bool cv::FarnebackOpticalFlow::getFastPyramids | ( |  | ) | const
| pure virtual

Python:
| retval | = | cv.FarnebackOpticalFlow.getFastPyramids( |  | )

## ◆ getFlags()

virtual int cv::FarnebackOpticalFlow::getFlags | ( |  | ) | const
| pure virtual

Python:
| retval | = | cv.FarnebackOpticalFlow.getFlags( |  | )

## ◆ getNumIters()

virtual int cv::FarnebackOpticalFlow::getNumIters | ( |  | ) | const
| pure virtual

Python:
| retval | = | cv.FarnebackOpticalFlow.getNumIters( |  | )

## ◆ getNumLevels()

virtual int cv::FarnebackOpticalFlow::getNumLevels | ( |  | ) | const
| pure virtual

Python:
| retval | = | cv.FarnebackOpticalFlow.getNumLevels( |  | )

## ◆ getPolyN()

virtual int cv::FarnebackOpticalFlow::getPolyN | ( |  | ) | const
| pure virtual

Python:
| retval | = | cv.FarnebackOpticalFlow.getPolyN( |  | )

## ◆ getPolySigma()

virtual double cv::FarnebackOpticalFlow::getPolySigma | ( |  | ) | const
| pure virtual

Python:
| retval | = | cv.FarnebackOpticalFlow.getPolySigma( |  | )

## ◆ getPyrScale()

virtual double cv::FarnebackOpticalFlow::getPyrScale | ( |  | ) | const
| pure virtual

Python:
| retval | = | cv.FarnebackOpticalFlow.getPyrScale( |  | )

## ◆ getWinSize()

virtual int cv::FarnebackOpticalFlow::getWinSize | ( |  | ) | const
| pure virtual

Python:
| retval | = | cv.FarnebackOpticalFlow.getWinSize( |  | )

## ◆ setFastPyramids()

virtual void cv::FarnebackOpticalFlow::setFastPyramids | ( | bool | fastPyramids | ) |
| pure virtual

Python:
| None | = | cv.FarnebackOpticalFlow.setFastPyramids( | fastPyramids | )

## ◆ setFlags()

virtual void cv::FarnebackOpticalFlow::setFlags | ( | int | flags | ) |
| pure virtual

Python:
| None | = | cv.FarnebackOpticalFlow.setFlags( | flags | )

## ◆ setNumIters()

virtual void cv::FarnebackOpticalFlow::setNumIters | ( | int | numIters | ) |
| pure virtual

Python:
| None | = | cv.FarnebackOpticalFlow.setNumIters( | numIters | )

## ◆ setNumLevels()

virtual void cv::FarnebackOpticalFlow::setNumLevels | ( | int | numLevels | ) |
| pure virtual

Python:
| None | = | cv.FarnebackOpticalFlow.setNumLevels( | numLevels | )

## ◆ setPolyN()

virtual void cv::FarnebackOpticalFlow::setPolyN | ( | int | polyN | ) |
| pure virtual

Python:
| None | = | cv.FarnebackOpticalFlow.setPolyN( | polyN | )

## ◆ setPolySigma()

virtual void cv::FarnebackOpticalFlow::setPolySigma | ( | double | polySigma | ) |
| pure virtual

Python:
| None | = | cv.FarnebackOpticalFlow.setPolySigma( | polySigma | )

## ◆ setPyrScale()

virtual void cv::FarnebackOpticalFlow::setPyrScale | ( | double | pyrScale | ) |
| pure virtual

Python:
| None | = | cv.FarnebackOpticalFlow.setPyrScale( | pyrScale | )

## ◆ setWinSize()

virtual void cv::FarnebackOpticalFlow::setWinSize | ( | int | winSize | ) |
| pure virtual

Python:
| None | = | cv.FarnebackOpticalFlow.setWinSize( | winSize | )

The documentation for this class was generated from the following file:

- opencv2/video/tracking.hpp